import {
	reactive,
	ref,
	toRefs
} from "vue";
import {
	onLoad
} from '@dcloudio/uni-app'
import {
	catchError
} from "@/utils/common.js"
import * as httpCatalogue from "@/api/catalogue.js"
import {useXuekeNianji} from "@/utils/cacheManager.js"

export function useCatalogue(props) {
	const {getXueke} = useXuekeNianji();
	
	const { xueke = null, nianji = null } = getXueke()
	
	const data = reactive({
		xueke: null,
		nianji: null
	})

	data.nianji = xueke;
	data.xueke = nianji;

	async function getCatalogue() {
		return await catchError(httpCatalogue.getCatalogue({
			nianji: +data.nianji,
			cardId: +data.xueke
		}));
	}

	return {
		...toRefs(data),

		// 获取章节数据
		getCatalogue
	}
}